Package org.eclipse.cdt.utils.macho

# Class MachO64.DyLinkerCommand

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.LoadCommand
org.eclipse.cdt.utils.macho.MachO64.DyLinkerCommand

Enclosing class:
  MachO64

public class MachO64.DyLinkerCommand extends MachO64.LoadCommand

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`lc_str_name`
`int`
`name`

### Fields inherited from class org.eclipse.cdt.utils.macho.MachO64.LoadCommand

`cmd, cmdsize, LC_DYSYMTAB, LC_FVMFILE, LC_ID_DYLIB, LC_ID_DYLINKER, LC_IDENT, LC_IDFVMLIB, LC_LOAD_DYLIB, LC_LOAD_DYLINKER, LC_LOAD_WEAK_DYLIB, LC_LOADFVMLIB, LC_PREBIND_CKSUM, LC_PREBOUND_DYLIB, LC_PREPAGE, LC_REQ_DYLD, LC_ROUTINES, LC_ROUTINES_64, LC_SEGMENT, LC_SEGMENT_64, LC_SUB_CLIENT, LC_SUB_FRAMEWORK, LC_SUB_LIBRARY, LC_SUB_UMBRELLA, LC_SYMSEG, LC_SYMTAB, LC_THREAD, LC_TWOLEVEL_HINTS, LC_UNIXTHREAD, LC_UUID`

## Constructor Summary

Constructors
Constructor
Description
`DyLinkerCommand()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public int name

### lc_str_name

public String lc_str_name

## Constructor Details

### DyLinkerCommand

public DyLinkerCommand()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`